NAGAD

Overview:
Nagad is a Bangladeshi mobile wallet for instant payouts to verified users.


Payin

Payin request body:

FieldTypeRequirement LevelDescription
amountnumberRequiredAmount in BDT
currencystringRequired"BDT"
method_codestringRequired"NAGAD"
referencestringRequiredMerchant reference
descriptionstringOptionalDescription for this payment
metadataobjectOptionalMerchant metadata, returned in notifications
webhook_urlstringOptionalHTTPS URL for payout notifications
customer.first_namestringOptionalCustomer's first name
customer.last_namestringOptionalCustomer's last name
customer.emailstringOptionalCustomer's email address
customer.phonestringOptionalCustomer's phone number
customer.addressstringOptionalCustomer's address
customer.citystringOptionalCustomer's city
customer.statestringOptionalCustomer's state
customer.zipstringOptionalCustomer's zipcode
customer.countrystringRequiredCustomer's country (iso2)
ip_addressstringOptionalSever's IP Address

Sample Payload:

{
  "amount": 150,
  "currency": "BDT",
  "reference": "123456DDEDDX2C7890XXXXXXX",
  "method_code": "NAGAD",
  "description": "Payment for order 1234567890XXXXXXX",
  "metadata": {
    "order_id": 123,
    "user_id": 123
  },
  "callback_url": "https://cb2de49c4104.ngrok-free.app/callback",
  "webhook_url": "https://cb2de49c4104.ngrok-free.app/webhook",
  "customer": {
    "country": "BD"
  }
}

Payout

Payout request body:

FieldTypeRequirement LevelDescription
amountnumberRequiredAmount in BDT
currencystringRequired"BDT"
method_codestringRequired"NAGAD"
recipient.wallet_uidstringRequiredRecipient’s 11-digit Nagad wallet number
recipient.full_namestringRequiredRecipient’s full name
referencestringRequiredMerchant reference
countrystringRequiredCountry (iso2)
metadataobjectOptionalMerchant metadata, returned in notifications
webhook_urlstringOptionalHTTPS URL for payout notifications
sender.full_namestringOptionalSender's full name
sender.addressstringOptionalSender's address
sender.phonestringOptionalSender's phone number

Sample Payload:

{
  "amount": 100,
  "currency": "BDT",
  "method_code": "NAGAD",
  "recipient": {
    "wallet_uid": "01812345678",
    "full_name": "Firstname Surname"
  },
  "reference": "INV-2025-001",
	"country": "BD",
  "metadata": {
    "internal_id": "user1234"
  },
  "webhook_url": "https://yourwebsite.com/webhook",
  "sender": {
    "full_name": "Firstname Surname",
    "address": "No 2, Green Median Str"
  }
}